/* English language texts
 * language/english.h
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact.html for contact information related to 
 * this software. */

/*************************************************************************/

#ifndef ENGLISH_H
#define ENGLISH_H

/*************************************************************************/

/* English language texts are stored in the array below.  Each language text
 * has a numeric assignment which is how the function rpl_lang_numeric()
 * returns the proper language text to the calling function.  The order of
 * texts are as follows:
 * CR == Common replies/error replies
 * NS == NickServ replies
 * CS == ChanServ replies
 * MS == MemoServ replies
 * OS == OperServ replies
 * HS == HelpServ replies */

typedef struct {
   int numeric;
   char text[LANG_TEXT_MAX];
} EnglishLang;
EnglishLang englishlang[] = {
   { LANG_UNDEFINED,		
   "Undefined." 																		},
   { CR_CMD_MORE_INFO,
   "For more information please type \2/msg %s HELP %s\2."											},
   { CR_CMD_SYNTAX,	
   "Syntax: %s"																		},
   { CR_ACCESS_DENIED,	
   "Access denied."																	},
   { CR_PERMISSION_DENIED,
   "Premission denied."																	},
   { CR_PASSWORD_INCORRECT,
   "Password incorrect."																},
   { CR_NO_ONLINE_USER_INFO,	
   "Could not retrieve your online user information."												},
   { CR_CHANGES_NO_SAVE_RDONLY,
   "DS is currently in read only mode, therefore changes will not be saved."							},
   { CR_NO_ACCESS_LEVEL,
   "Your level is %s, the required level to use this command is %s."									},
   { CR_NOT_OPER_LEVEL,
   "You are not an %s, the required level to use this command is %s."									},
   { CR_NICK_IS_FROZEN,
   "This nick is frozen and may not ne idenitied for or used until the freeze has been disabled."				},
   { CR_CMD_UNKNOWN,
   "The command \2%s\2 is unknown, please type \2/msg %s HELP\2 for more information."						},
   { CR_CMD_SET_UNKNOWN,
   "The set command \2%s\2 is unknown, please type \2/msg %s HELP SET\2 for more information."					},
   { CR_PASSWORD_AUTH_REQUIRED,
   "Password authentication is required for that command."											},
   { CR_RETRY_AFTER_TYPE,
   "Retry after typing \2/msg %s IDENTIFY <password>\2."											},
   { CR_NICK_NOT_REGISTERED,
   "Nick \2%s\2 is not registered."															},
   { CR_NICK_ALREADY_REGISTERED,
   "Nick \2%s\2 is already registered."														},
   { CR_YOUR_NICK_NOT_REGISTERED,
   "Your nick is not registered."															},
   { CR_PLEASE_WAIT_SEC,
   "Please wait %d seconds before using the %s command again."										},
   { CR_CHAN_NOT_REGISTERED,
   "Channel \2%s\2 is not registered."										},
   { CR_CHAN_ALREADY_REGISTERED,
   "Channel \2%s\2 is already registered."										},
   { CR_KILL_YLINE_OPER,
   "Sorry, this network has exceeded the allowed number of IRC Operators."										},
   { CR_KILL_YLINE_USER,
   "Sorry, this network has exceeded the allowed number of users, please try again later."										},
   { CR_KILL_BAD_PASS,
   "Too many invalid passwords."										},
   { CR_KILL_ENFORCE,
   "Nick kill enforced."										},
   { CR_GUEST_ENFORCE,
   "Your nick has been changed because the nick \2%s\2 does not belong to you."										},
   { CR_NOOP_DEOP,
   "Access denied (-ogskf)."										},


   /* Begin of MemoServ */

   { MS_DOES_NOT_WANT_MEMOS,
   "\2%s\2 does not want to recieve memos at this time."											},
   { MS_MEMO_SENT,
   "Memo has been sent to \2%s\2."															},
   { MS_HAVE_NEW_MEMO_INBOX,
   "You have a new memo in your inbox folder from \2%s\2."											},
   { MS_PLEASE_TYPE_READ_IT,
   "Please type \2/msg %s READ %s %d\2 to read it."												},
   { MS_HAVE_NEW_MEMO_MAIL,
   "You have a new memo in your mail folder from \2%s\2."											},
   { MS_YOU_HAVE_NO_MEMOS,
   "You have no memos."																	},
   { MS_YOU_HAVE_NO_MEMOS_INBOX,
   "You have no new memos in your inbox folder."												},
   { MS_YOU_HAVE_NO_MEMOS_MAIL,
   "You have no new memos in your mail folder."													},
   { MS_MEMO_TYPE,
   "Memo type: "																		},
   { MS_MEMO_NOT_EXIST_INBOX,
   "Memo %d in your inbox folder does not exist."												},
   { MS_MEMO_NOT_EXIST_MAIL,
   "Memo %d in your mail folder does not exist."												},
   { MS_MEMO_NOT_EXIST_TRASH,
   "Memo %d in your trash folder does not exist."												},
   { MS_NICK_NOW_HAVE_MEMO_NOLIMIT,
   "Nick \2%s\2 now has no defined memo limit being able to recieve unlimited memos."													},
   { MS_NICK_NOW_HAVE_MEMO_LIMIT,
   "Nick \2%s\2 now has a defined memo limit set to recieving upto \2%d\2 memos."							},
   { MS_NICK_HAS_TOO_MANY_MEMOS,
   "Nick \2%s\2 has too many memos (%d) and is unable to recieve more."									},
   { MS_MEMO_LIST_HEADER_INBOX,
   "Memos in folder inbox for %s.  To read a memo in your inbox folder, type \2/msg %s READ INBOX <number>.\2"		},
   { MS_MEMO_LIST_HEADER_INBOX_N,
   "New memos in folder inbox for %s.  To read a memo in your inbox folder, type \2/msg %s READ INBOX <number>.\2"	},
   { MS_MEMO_LIST_HEADER_MAIL,
   "Memos in folder mail for %s.  To read a memo in your inbox folder, type \2/msg %s READ INBOX <number>.\2"		},
   { MS_MEMO_LIST_HEADER_MAIL_N,
   "New memos in folder mail for %s.  To read a memo in your inbox folder, type \2/msg %s READ INBOX <number>.\2"		},
   { MS_MEMO_LIST_HEADER_TRASH,
   "Memos in folder trash for %s.  To read a memo in your inbox folder, type \2/msg %s READ INBOX <number>.\2"		},
   { MS_MEMO_LIST_HEADER_TRASH_N,
   "New memos in folder trash for %s.  To read a memo in your inbox folder, type \2/msg %s READ INBOX <number>.\2"	},
   { MS_MEMO_LIST_HEADER_FOLDERS,
   "Memo folders for %s.  To open a folder, type \2/msg %s LIST <folder>.\2"								},
   { MS_MEMO_LIST_FOLDERS,
   "InBox (%d)     Mail (%d)     Trash (%d)"													},
   { MS_NICK_HAVE_NO_MEMOS,
   "Nick \2%s\2 has no memos."																	},
   { MS_NICK_HAVE_NO_MEMOS_INBOX,
   "Nick \2%s\2 has no new memos in their inbox folder."												},
   { MS_NICK_HAVE_NO_MEMOS_MAIL,
   "Nick \2%s\2 has no new memos in their mail folder."													},
   { MS_NICK_MEMO_LIST_HEADER_INBOX,
   "Memos in folder inbox for %s.  To read a memo in their inbox folder, type \2/msg %s RREAD %s INBOX <number>.\2"		},
   { MS_NICK_MEMO_LIST_HEADER_INBOX_N,
   "New memos in folder inbox for %s.  To read a memo in their inbox folder, type \2/msg %s RREAD %s INBOX <number>.\2"	},
   { MS_NICK_MEMO_LIST_HEADER_MAIL,
   "Memos in folder mail for %s.  To read a memo in their inbox folder, type \2/msg %s RREAD %s MAIL <number>.\2"		},
   { MS_NICK_MEMO_LIST_HEADER_MAIL_N,
   "New memos in folder mail for %s.  To read a memo in their inbox folder, type \2/msg %s RREAD %s MAIL <number>.\2"		},
   { MS_NICK_MEMO_LIST_HEADER_TRASH,
   "Memos in folder trash for %s.  To read a memo in their inbox folder, type \2/msg %s RREAD %s TRASH <number>.\2"		},
   { MS_NICK_MEMO_LIST_HEADER_TRASH_N,
   "New memos in folder trash for %s.  To read a memo in their inbox folder, type \2/msg %s RREAD %s TRASH <number>.\2"	},
   { MS_NICK_MEMO_LIST_HEADER_FOLDERS,
   "Memo folders for %s.  To open a folder, type \2/msg %s RLIST %s <folder>.\2"								},
   { MS_MEMO_SENT_ADMIN,
   "Memo has been sent to all level %d administrators."											},
   { MS_MEMO_SENT_OPER,
   "Memo has been sent to all IRC Operators."											},
   { MS_MEMO_SENT_USER,
   "Memo has been sent to all registered nicks."											},
   { MS_MEMO_NO_SEND_ADMIN_HIGH,
   "You can not send memos to a level which is higher then your own."											},
   { MS_MEMO_LEVEL_MUST_BE_INT,
   "Level must be an integer."											},
   { MS_MEMO_LEVEL_MUST_INT_INC,
   "Level must be an integer between %d and %d inclusive."											},
   { MS_MEMO_SET_NOTIFY_ON,
   "%s will now notify you of memos when you log on and when they are sent to you."											},
   { MS_MEMO_SET_NOTIFY_LOGON,
   "%s will now notify you of memos when you log on or unset being away."								},
   { MS_MEMO_SET_NOTIFY_NEW,
   "%s will now notify you of memos when they are sent to you."							},
   { MS_MEMO_SET_NOTIFY_OFF,
   "%s will not send you any notification of memos."									},
   { MS_CHAN_HAVE_NO_MEMOS,
   "Channel \2%s\2 has no memos."									},
   { MS_CHAN_HAVE_NO_MEMOS_INBOX,
   "Channel \2%s\2 has no new memos in their inbox folder."									},
   
   { MS_CHECK_MEMOS_NEW_MEMOS,
   "You have %d new memo%s (InBox (%d), Mail (%d))."									},
   { MS_CHECK_MEMOS_PLEASE_TYPE,
   "Please type \2/msg %s %s\2 to %s."									},

   { MS_CHECK_CMEMOS_NEW_MEMOS,
   "Chanenl %s has %d new memo%s (InBox (%d))."									},
   { MS_CHECK_CMEMOS_MEMOS,
   "Chanenl %s has %d memo%s (InBox (%d))."									},
   { MS_CHECK_MEMOS_PLEASE_TYPE,
   "Please type \2/msg %s %s\2 to %s."									},
   { MS_MEMO_LIST_FORMAT,
   "%3d %c %4d %-16s  %s"									},



   /* End of MemoServ */

   { NS_PLEASE_ADVISE_FIND, 
   "Please be advised this command is available to help users locate staff who are active and able to help them with "
   "channel and nick ownership issues and abusive users on this network.  Also, to get help at any time simply /join "
   "#infatech or /join #services."											},
   { NS_NOT_OPER_ON_USER,
   "You have not set the IRC Operator option on your nick, it is required to do so."								},
   { NS_PLEASE_SET_IRCOP,
   "Please set this by typing \2/msg %s SET IRCOP ON\2."								},

   { -1 }
};

/*************************************************************************/

#endif

/*************************************************************************/
