#!/bin/sh
# DS version and build information.
# src/version.sh
# Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
# Read the file doc/contact.html for contact information related to this software.

# Define the version header for DS.
VERSION=7.0

if [ -f version.h ] ; then
	BUILD=`fgrep '#define BUILD' version.h | sed 's/^#define BUILD.*"\([0-9]*\)".*$/\1/'`
	BUILD=`expr $BUILD + 1 2>/dev/null`
else
	BUILD=1
fi
if [ ! "$BUILD" ] ; then
	BUILD=1
fi
cat >../include/version.h <<EOF
/* Abra version and build information.
 * include/version.h
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact for contact information related to this software. */

/*************************************************************************/

#ifndef __version_include__
# define __version_include__

/*************************************************************************/

#define __ABRA_BUILD__		"$BUILD"
#define __ABRA_NAME__		"DS"
#define __ABRA_VERSION__	"$VERSION"
#define __ABRA_COPYRIGHT__	"Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved."

/*************************************************************************/

#endif /* __version_include__ */

/*************************************************************************/
EOF
