/* NickServ help texts
 * src/ns-help.c
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact.html for contact information related to 
 * this software. */

/*************************************************************************/

#ifndef NS_HELP_C
#define NS_HELP_C

/*************************************************************************/

static const char *ns_serv_admin_help[] = {
   "Services Administrators:",
   "   BOT           Set a nick as being a bot.",
NULL
};

/*************************************************************************/

static const char *ns_serv_op_help[] = {
   "Services Operators:",
   "   GETPASS       Retrieve the password for a nick.",
   "   SETPASS       Set the password for a nick.",
   "   FORBID        Prevent a nick from being registred or used.",
   "   MARK          Mark a nick.",
   "   FREEZE        Stop all access to a nick.",
NULL
};

/*************************************************************************/

static const char *ns_serv_root_help[] = {
   "Services Roots:",
   "   EXPIRY        Toggle the expiry of a channel.",
NULL
};

/*************************************************************************/



/*************************************************************************/

static const char *nso_drop_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: DROP <nick>",
   " Level: Services Operator (2)",
   "",
   "Without a parameter, drops your nick from the \2NickServ\2 database.  With a parameter, drops",
   "the given nick from the database.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_list_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: LIST <pattern>",
   " Level: IRC Operator (0)",
   "", 
   "Lists all registered nicks which match the given pattern, in nick!user@host format.  Nicks with",
   "the PRIVATE option set will only be displayed to Services Administrators.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_getpass_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: GETPASS <nick>",
   " Level: Services Operator (2)",
   "",
   "Retrieves the password for the given nick.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_setpass_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: SETPASS <nick> <password>",
   " Level: Services Operator (2)",
   "",
   "Sets the password for the given nick with the given password.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_forbid_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: FORBID <nick>", 
   " Level: Services Operator (2)",
   "",
   "Disallows a nick from being registered or used by anyone.  May be cancelled by dropping the nick.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_bot_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: BOT [ENABLE|DISABLE] <nick>", 
   " Level: Services Operator (2)",
   "",
   "Identifies or unidentifies the registered nick as being a registered bot on the network.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_freeze_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: FREEZE [ENABLE|DISABLE] <nick>", 
   " Level: Services Operator (2)",
   "",
   "Freezes or unfreezes a nick.  When a nick is frozen all access and use of the nick is disabled",
   "to such a time when the nick is unfrozen.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_mark_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: MARK [ENABLE|DISABLE] <nick>", 
   " Level: Services Operator (2)",
   "",
   "Marks or unmarks the given nick.  When a nick is marked, tradionally only the Services Operator who",
   "enabled the mark is to assist that nick with ownership issues or problems with the given nick.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_expiry_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: EXPIRY [ENABLE|DISABLE] <nick>", 
   " Level: Services Root (3)",
   "",
   "Enables or disables expiry for the given nick.  If expiry is disabled on a nick it will not expire",
   "after the nick expiry time has passed.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_nick_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: NICK <old nick> <new nick>", 
   " Level: Services Operator (2)",
   "",
   "Forcibly change a users nick name to the given nick.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *nso_set_ircop_help[] = {
   "\2***** NickServ Help *****\2",
   "Syntax: SET IRCOP [ON|OFF]",
   " Level: IRC Operator (0)",
   "", 
   "Sets IRC Operator on your nick.  With IRC Operator set you can recieve special types of memos,",
   "plus you get the identifcation in INFO.",
   "\2***** End Of Help *****\2",
   NULL
};


/*************************************************************************/

#endif

/*************************************************************************/
